<?php
/**
 * Statistics.php
 * 统计数据
 * Created by: Owen
 * Created on: 2019/7/12 11:34
 * Description:
 *
 */

use \GatewayWorker\Lib\Gateway;
require_once "./GatewayWorker/Function/Init.php";
Class MiningCrazyWorker extends Init {
    public function Up($client_id,$data){
        $reqId = isset($data['httpIdentifier']) ? $data['httpIdentifier'] : '';
        $uid = intval($data['uid']);
        $levelId = intval($data['levelId']);
        $data = oo::commonOprModel('mining')->UpdateMining($uid,$levelId);
        Gateway::sendToClient($client_id,$this->encryp(json_encode(['cmd'=>array_search('Mining_Up_Rec',ocmd::$Cmd),'data'=>$data, 'httpIdentifier' => $reqId])));
    }
}
